APPLICATION-MIGRATION_SOURCE_LIST(1)

NAME
application-migration_source_list -

DESCRIPTION

Returns a list of migration sources in a specified compartment.

USAGE

oci application-migration source list [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    The compartment OCID on which to filter.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--display-name [text]

    Display name on which to query.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    The OCID on which to query for a source.

--lifecycle-state [text]

    The lifecycle state on which to filter.

--limit [integer]

    The number of items returned in a paginated List call. For information about pagination, see List Pagination <https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine>.

--page [text]

    The value of the opc-next-page response header from the preceding List call. For information about pagination, see List Pagination <https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine>.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    Specifies the field on which to sort. By default, TIMECREATED is ordered descending. By default, DISPLAYNAME is ordered ascending. Note that you can sort only on one field.

    Accepted values are:

    DISPLAYNAME, TIMECREATED

--sort-order [text]

    The sort order, either ASC (ascending) or DESC (descending).

    Accepted values are:

    ASC, DESC

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle